net.sf.jasperreports.olap.xmla

## Class JRXmlaResultAxis

- java.lang.Object
- - net.sf.jasperreports.olap.xmla.JRXmlaResultAxis

- All Implemented Interfaces:
    JROlapResultAxis

      public class JRXmlaResultAxis
      extends java.lang.Object
      implements JROlapResultAxis

  Version:
    $Id: JRXmlaResultAxis.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlaResultAxis(java.lang.String axisName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHierarchy(JRXmlaHierarchy hierarchy)`
    `void` | `addTuple(JRXmlaMemberTuple tuple)`
    `protected void` | `copyLevelInfo(JRXmlaMemberTuple tuple)`
    `protected JRXmlaHierarchy[]` | `ensureHierarchyArray()`
    `java.lang.String` | `getAxisName()`
    `JROlapHierarchy[]` | `getHierarchiesOnAxis()`
    `JROlapMemberTuple` | `getTuple(int index)`
    `int` | `getTupleCount()`
    `protected void` | `resetHierarchyArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlaResultAxis

          public JRXmlaResultAxis(java.lang.String axisName)

  - ### Method Detail

    - #### getAxisName

          public java.lang.String getAxisName()

    - #### getHierarchiesOnAxis

          public JROlapHierarchy[] getHierarchiesOnAxis()

      Specified by:
        `getHierarchiesOnAxis` in interface `JROlapResultAxis`

    - #### getTuple

          public JROlapMemberTuple getTuple(int index)

      Specified by:
        `getTuple` in interface `JROlapResultAxis`

    - #### getTupleCount

          public int getTupleCount()

      Specified by:
        `getTupleCount` in interface `JROlapResultAxis`

    - #### addHierarchy

          public void addHierarchy(JRXmlaHierarchy hierarchy)

    - #### addTuple

          public void addTuple(JRXmlaMemberTuple tuple)

    - #### copyLevelInfo

          protected void copyLevelInfo(JRXmlaMemberTuple tuple)

    - #### ensureHierarchyArray

          protected JRXmlaHierarchy[] ensureHierarchyArray()

    - #### resetHierarchyArray

          protected void resetHierarchyArray()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com